package org.nl.system.service.logging;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.nl.common.domain.query.PageQuery;
import org.nl.system.service.logging.dao.SysLog;

import java.util.Map;

/**
 * <p>
 * 系统日志 服务类
 * </p>
 *
 * @author generator
 * @since 2023-05-08
 */
public interface ISysLogService extends IService<SysLog> {

    /**
     * 分页查询日志
     * @param criteria
     * @param pageable
     * @return
     */
    IPage<SysLog> queryAll(Map criteria, PageQuery pageable);

    /**
     * 查询异常详情
     * @param id 日志ID
     * @return Object
     */
    Object findByErrDetail(String id);

    /**
     * 删除所有异常日志
     */
    void delAllByError();

    /**
     * 删除所有操作日志
     */
    void delAllByInfo();
}
